Bug 251848 - www/py-treq: Update to 20.9.0
Summary: www/py-treq: Update to 20.9.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Alan Somers
URL: https://github.com/twisted/treq/blob/...
Keywords: patch
Depends on: 251847
Blocks: 255547
  Show dependency treegraph
 
Reported: 2020-12-14 21:53 UTC by Evilham
Modified: 2021-06-06 00:06 UTC (History)
3 users (show)

See Also:
asomers: maintainer-feedback+


Attachments
py-treq_20.9.0 (2.21 KB, patch)
2020-12-14 21:55 UTC, Evilham
no flags Details | Diff
py-treq_20.9.0 (test dep: www/py-httpbin) (2.28 KB, patch)
2020-12-27 14:46 UTC, Evilham
contact: maintainer-approval?
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Evilham 2020-12-14 21:53:29 UTC
Some things have happened since 17.8.0 in treq:

- New upstream maintainers
- Numerous bug fixes, including a few annoying URL encoding issues
- Official python 3.7 support
- Official python 3.8 support

Incoming patch also fixes the test suite, which (possibly) last worked with 17.3.1.
Comment 1 Evilham 2020-12-14 21:55:18 UTC
Created attachment 220557 [details]
py-treq_20.9.0
Comment 2 Evilham 2020-12-14 21:57:19 UTC
Forgot to mention, this port is used extensively by net-im/py-matrix-synapse.
Comment 3 Alan Somers freebsd_committer 2020-12-15 02:49:33 UTC
LGTM!
Comment 4 Evilham 2020-12-27 14:46:12 UTC
Created attachment 221003 [details]
py-treq_20.9.0 (test dep: www/py-httpbin)

After some feedback on #251847, the new port will be www/py-httpbin (and not devel/py-httpbin).

Further reporting that no negative impact has been noticed on net-im/py-matrix-synapse running against this treq version.
Comment 5 Sascha Biberhofer 2021-05-02 14:27:58 UTC
I briefly want to update this issue in light of 255547: I've built and tested the port against the update py-twisted port, and the testsuite passes without any issues. It also works perfectly with py-matrix-synapse (and the updated py-twisted) in production. Can we perhaps get this merged or is there anything else blocking this?
Comment 6 Alan Somers freebsd_committer 2021-05-02 14:37:44 UTC
(In reply to Sascha Biberhofer from comment #5)
The only thing left, Sascha, is to get approval to merge it.  I'm seeking that now.

However, there's one other thing.  py-treq is apparently used extensively by net-im/py-matrix-synapse, which you maintain.  I no longer use any software that depends on py-treq.  Would you like to take over maintainership?
Comment 7 Evilham 2021-05-02 18:05:20 UTC
Hey Alan, original reporter here.

Just talked with Sascha off bugzilla as we do occasionally to share/test patches; and he mentioned a time limitation regarding adopting this port.

Since I follow Twisted and klein's development closely, I wouldn't mind adopting those ports if you are unable to or need some offloading.

Possibly this would mean that Sascha and I can coordinate to keep these ports up to date and better supported and share the load when we need it.

Cheers,
Comment 8 Alan Somers freebsd_committer 2021-05-02 18:15:52 UTC
(In reply to Evilham from comment #7)
Sure, Evilham.  You could probably do a better job than I.  I'll assign you maintainership after I get this patch committed.
Comment 9 Kyle Evans freebsd_committer 2021-05-06 00:31:32 UTC
(In reply to Alan Somers from comment #6)

Approved by: kevans (ports)
Comment 10 commit-hook freebsd_committer 2021-05-06 01:00:06 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=cd62f0886c18589e2274029d48efa10d57a5531a

commit cd62f0886c18589e2274029d48efa10d57a5531a
Author:     Alan Somers <asomers@FreeBSD.org>
AuthorDate: 2021-05-06 00:59:40 +0000
Commit:     Alan Somers <asomers@FreeBSD.org>
CommitDate: 2021-05-06 00:59:40 +0000

    www/py-treq: Update to 20.9.0

    Reported-by:    evilham <contact@evilham.com>
    Approved-by:    kevans (ports)
    PR:             251848

 www/py-treq/Makefile | 12 +++++++-----
 www/py-treq/distinfo |  6 +++---
 2 files changed, 10 insertions(+), 8 deletions(-)
Comment 11 Alan Somers freebsd_committer 2021-05-06 01:06:40 UTC
I committed it, and I also transferred maintainership to you, Evilham.